### Method

# Gtk Widgetget_visible

#### Declaration [src]

    gboolean
    gtk_widget_get_visible (
      GtkWidget* widget
    )

#### Description [src]

Determines whether the widget is visible.

If you want to take into account whether the widget’s parent is also marked as visible, use `gtk_widget_is_visible()` instead.

This function does not check if the widget is obscured in any way.

See `gtk_widget_set_visible()`.

Gets property | `Gtk.Widget:visible`

#### Return value

Type: `gboolean`

`TRUE` if the widget is visible.